## tcos 0.89.96ubuntu1

=== xmlrpc/Makefile ===
SERVER=tcosxmlrpc
STANDALONE=tcosxmlrpc-standalone
TCOSPASSWD=tcospasswd

all: message $(SERVER) $(STANDALONE) $(TCOSPASSWD)

include ../common.mk



TCOS_PATH:=/sbin
IS_STANDALONE:=0

ifneq ($(findstring $(IS_STANDALONE),1),1)
TXT = 
else
TXT = STANDALONE
endif

ifndef V
	QUIET_CC       = @echo '   $(TXT)'  CC    $@;
	QUIET_CL       = @echo '   $(TXT)'  CLEAN $@ `basename $(CURDIR)`;
	QUIET_LN       = @echo '   $(TXT)'  LINK  $@;
endif



XMLRPC_INC=$(shell xmlrpc-c-config --version)
XMLRPC_VERSION_MAYOR=$(shell xmlrpc-c-config --version| awk -F"." '{print $$1}')
XMLRPC_VERSION_MINOR=$(shell xmlrpc-c-config --version| awk -F"." '{print $$2$$3}'| cut -c-4| awk '{print int($$1)}')

CFLAGS+=-Wall -O2  $(shell xmlrpc-c-config abyss-server --cflags)
#LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
## OLD gcc (lenny) don't work with -Wl,--as-needed
LDFLAGS+=-Wl,-z,defs -Wl,-O1 
LIBS+=$(shell xmlrpc-c-config abyss-server --libs) -lcrypt -lX11

DEFINES:= -DVERSION=\"$(VERSION)\" -DXMLRPC_VERSION_MAYOR=$(XMLRPC_VERSION_MAYOR) -DXMLRPC_VERSION_MINOR=$(XMLRPC_VERSION_MINOR) -DNEWAPI=1

#TEST_DEFINES=-DDEBUG -DVERSION=\"$(VERSION)\" -DBSIZE=512 -DVISIBLE_PASSWD -DXMLRPC_INC=$(XMLRPC_INC) -DXMLRPC_VERSION_MAYOR=$(XMLRPC_VERSION_MAYOR) -DXMLRPC_VERSION_MINOR=$(XMLRPC_VERSION_MINOR)



SRCS	     := common.c \
		debug.c \
		devices.c \
		dpms.c \
		exe.c \
		get_screenshot.c \
		info.c \
		lockcontroller.c \
		lockscreen.c \
		login.c \
		pam-usb.c \
		pci.c \
		reboot_poweroff.c \
		rtp.c \
		simple-methods.c \
		sound.c \
		standalone.c \
		tnc.c \
		validate.c \
		vlc.c \
		vnc.c \
		xauth.c \
		xorg.c \
		config.c \
		tcosxmlrpc.c

# deleted parts
#		screenshot.c \
#

OBJS		:= $(SRCS:.c=.o)

message:
	@echo " * Building tcosxmlrpc"

cleanobjs:
	$(QUIET_CL)rm -f $(OBJS)

%.o: %.c
	$(QUIET_CC)$(GCC) -c ${CFLAGS} -Wno-unused-function ${DEFINES} -DTCOS_PATH=\"$(TCOS_PATH)\" $< -o $@

$(SERVER): $(OBJS)
	$(QUIET_LN)$(GCC) $(LDFLAGS) $(DEFINES) -o $(SERVER) $(CFLAGS) $(OBJS) $(LIBS)
	$(MAKE) cleanobjs

$(STANDALONE):
	$(MAKE) $(OBJS) TCOS_PATH=$(TCOS_BINS) IS_STANDALONE=1 CFLAGS+='-DIS_STANDALONE=1'
	$(QUIET_LN)$(GCC) $(LDFLAGS) $(DEFINES) -o $(STANDALONE) $(CFLAGS) $(LDFLAGS) $(OBJS) $(LIBS)
	$(MAKE) cleanobjs

$(TCOSPASSWD):
	$(QUIET_CC)$(GCC) $(DEFINES) $(CFLAGS) $(LDFLAGS) -o $(TCOSPASSWD) $(TCOSPASSWD).c -lcrypt



test2:
	@echo XMLRPC_INC=$(XMLRPC_INC)
	@echo XMLRPC_VERSION_MAYOR=$(XMLRPC_VERSION_MAYOR)
	@echo XMLRPC_VERSION_MINOR=$(XMLRPC_VERSION_MINOR)


clean:
	$(QUIET_CL)rm -f $(OBJS) $(SERVER) $(STANDALONE) $(TCOSPASSWD) var/log.txt var/log/* *~ image*.jpg image*png base64 sh/*~

install:
	install -d $(DESTDIR)/$(TCOS_BINS)
	install -d $(DESTDIR)/$(TCOS_DIR)/xmlrpc/
	install -d $(DESTDIR)/$(PREFIX)/sbin
    
	install -m 755 $(SERVER)       $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 $(STANDALONE)   $(DESTDIR)/$(TCOS_BINS)/

	install -m 755 $(TCOSPASSWD) $(DESTDIR)/$(PREFIX)/sbin/$(TCOSPASSWD)
	install -m 755 sh/update-tcospasswd.sh $(DESTDIR)/$(PREFIX)/sbin/update-tcospasswd
	
	# Install tcosxmlrpc utils
	install -m 755 sh/screenshot.sh    $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/soundctl.sh      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/configctl.sh      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/getinfo.sh       $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/useallmodules.sh $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/devicesctl.sh    $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-dbus.py     $(DESTDIR)/$(TCOS_BINS)/tcos-dbus-helper
	install -m 755 sh/vnc-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/vlc-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/rtp-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	#install -m 755 sh/clone-controller.sh  $(DESTDIR)/$(TCOS_BINS)/
	#install -m 755 sh/clonerecv          $(DESTDIR)/$(TCOS_BINS)/
	#install -m 755 sh/clonesend          $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-last          $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-ftpclient           $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/pactl-controller.sh      $(DESTDIR)/$(TCOS_BINS)/
	install -m 755 sh/tcos-pam-usb.sh    $(DESTDIR)/$(TCOS_BINS)/

#	install -m 644 var/etc/mime.types  $(DESTDIR)/$(TCOS_DIR)/xmlrpc/
#
#
#	install -m 644 var/etc/abyss.conf  $(DESTDIR)/$(TCOS_DIR)/xmlrpc/
#	sed -i 's|__TCOS_ROOT__|/|g' $(DESTDIR)/$(TCOS_DIR)/xmlrpc/abyss.conf
#	sed -i 's|__TCOS_WWW__|/var/www|g' $(DESTDIR)/$(TCOS_DIR)/xmlrpc/abyss.conf
#	sed -i 's|__TCOS_LOG__|/var/log|g' $(DESTDIR)/$(TCOS_DIR)/xmlrpc/abyss.conf
#	sed -i 's|__TCOS_ETC__|/etc|g' $(DESTDIR)/$(TCOS_DIR)/xmlrpc/abyss.conf
#
#	# standalone package
#	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)
#	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc
#	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/www
#	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/log
#
#
#	install -m 644 var/etc/abyss.conf       $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
#	sed -i 's|__TCOS_ROOT__|$(TCOS_STANDALONE_DIR)|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
#	sed -i 's|__TCOS_WWW__|$(TCOS_STANDALONE_DIR)/www|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
#	sed -i 's|__TCOS_LOG__|$(TCOS_STANDALONE_DIR)/log|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
#	sed -i 's|__TCOS_ETC__|$(TCOS_STANDALONE_DIR)/etc|g' $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/abyss-standalone.conf
#
#	install -m 644 var/etc/mime.types       $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/



	# stunnel4
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/stunnel
	install -d $(DESTDIR)/$(TCOS_STANDALONE_DIR)/lib/stunnel4/
	install -m 644 var/etc/stunnel/stunnel.conf         $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/stunnel
	install -m 644 var/etc/stunnel/stunnel-custom.conf  $(DESTDIR)/$(TCOS_STANDALONE_DIR)/etc/stunnel

=== debian/changelog ===
tcos (0.89.96ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Drop dhcp3-server from Depends: following dhcp3-server
        to isc-dhcp-server transition.
      + Update build-deps for the xmlrpc-c 1.33.06 transition.
  * Drop following change, no longer needed:
    - xmlrpc/common.c:
      + Comment out the memset implementation to allow inlining
        of memset from libc (fixes FTBFS with gcc-4.7).

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 17 Feb 2015 00:23:46 +0100

tcos (0.89.96) unstable; urgency=medium

  * Start tcosxmlrpc with start-stop-daemon

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Mon, 27 Oct 2014 16:03:01 +0100

tcos (0.89.95) unstable; urgency=low

  * Copy instead of symlinking vmlinuz
  * Force NEWAPI to libxmlrpc abyss server, and don't use abyss.conf file
  * Include usblp and lp modules
  * Add build depends dh-python
  * Switch GIT repo from tcosproject to github.com/mariodebian
  * Search for pxelinux.0 in old or new syslinux paths
  * Fix initramfs boot, add empty local and nfs scripts
    and fix reboot/poweroff commands
  * Silent alsa modprobe conf check
  * Create some links to busybox

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sat, 25 Oct 2014 17:55:49 +0200

tcos (0.89.94) unstable; urgency=medium

  * Depends on iproute2 | iproute. (closes: #753741)
  * Bump standards version to 3.9.5, no changes needed

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 14 Sep 2014 16:12:20 +0200

=== debian/control ===
Source: tcos
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.6.6-3~),
               dh-python,
               libxmlrpc-core-c3-dev,
               libxau-dev,
               libxaw7-dev,
               libimlib2-dev,
               pkg-config,
               libasound2-dev,
               libglib2.0-dev
Standards-Version: 3.9.5
Vcs-Git: git@github.com:mariodebian/tcos.git
Vcs-Browser: https://github.com/mariodebian/tcos
Homepage: http://www.tcosproject.org

Package: initramfs-tools-tcos
Architecture: all
Depends: tcos-core, 
         initramfs-tools (>= 0.40), 
         console-setup | console-data,
         squashfs-tools,
         pciutils,
         ltspfsd-core,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: mbr, 
            syslinux,
            mtools,
            acpid,
            pulseaudio,
            dropbear,
            fgetty,
            p910nd,
            genisoimage, 
            mknbi,
            twm,
            binutils,
            alsa-base, 
            cdparanoia,
            xfonts-100dpi,
            debootstrap
Description: Tools for generating a TCOS thin client bootable image
 This package contains tools to create a bootable initramfs for prepackaged
 2.6 Linux kernel. The initramfs is an cpio archive. At boot time, the kernel
 unpacks that archive into ram, mounts and uses it as initial root file system.
 Next thin client configure some hardware, download extra tools 
 ( /usr compressed dir ) and connect to remote server using XMDCP, ssh -X, 
 FreeNX, rDesktop...

Package: tcos-core
Architecture: any
Depends: busybox (>= 1:1.13.3) | busybox-static (>= 1:1.13.3) | udhcpc, 
         adduser,
         xterm, 
         x11vnc, 
         xtightvncviewer, 
         dosfstools, 
         scrot, 
         eject, 
         netpipes, 
         libnotify-bin, 
         libasound2-plugins, 
         iproute2 | iproute, 
         xdg-utils, 
         pulseaudio-utils, 
         python, 
         python-utmp, 
         python-dbus, 
         python-ipaddr,
         python-ipy,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: vlc, 
            stunnel4, 
            openssl,
            ethtool
Description: Common scripts and bins for generating a TCOS thin client bootable image
 This package contain common scripts, libs, bins and dependencies to
 generate network images or be used in standalone hosts.


Package: tcos-standalone
Architecture: all
Depends: tcos-core (>= 0.88.0), 
         tcosmonitor-common, 
         openssl, 
         gksu, 
         python, 
         python-gtk2, 
         python-glade2, 
         ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ethtool
Description: TCOS GUI configurator for standalone hosts
 This package contains a PyGTK+ gui configurator and dependencies
 to install and configure a standalone TCOS host.
  .
 With this package you can control installed clients from tcosmonitor.



Package: tcos
Architecture: all
Depends: initramfs-tools-tcos (>= 0.84.5), 
         python, 
         python-configobj, 
         ${misc:Depends}, ${shlibs:Depends}
Recommends: tcos-configurator, 
            dnsmasq | tcos-tftp-dhcp,
            tcosmonitor, tcosconfig, 
            ltspfs, 
            fuse, 
            pulseaudio-esound-compat | esound
Description: Base package for install a TCOS (Thin client) server
 This is a system for generating thin client hosts using initramfs.
 TCOS is a set of build tools to prepare an initramfs image to boot
 thin client terminals.
 TCOS support dhcp, sound (alsa & esound | pulseaudio ), ltspfs, 
 Xorg and more utils.
 .
 This package install and recommends all required packages to make a 
 TCOS thin client server.


Package: tcos-tftp-dhcp
Architecture: all
Depends: atftpd, isc-dhcp-server | dhcp-server, ${misc:Depends}
Description: Metapackage to install TCOS with atftp and DHCP server
 This metapackage depends on atftp and a DHCP server to provide needed 
 daemons needed to run a TCOS server.
